Bug 210802 - compiz maximizing terminal-like windows results in unused strip at the bottom
compiz maximizing terminal-like windows results in unused strip at the bottom
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-15 06:11 EDT by Saikat Guha
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-20 15:08:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saikat Guha 2006-10-15 06:11:29 EDT
Maximizing gnome-terminal-like windows whose width and height increments in
steps cannot be fully maximized to cover the available screen real-estate;
compiz maximizes the window to the largest step size that fits the screen
resulting in a few pixels of background showing through. 

Metacity allows such windows to be maximized to the full real estate available.
Even though the application cannot use any more screen space than it can with
compiz, a maximized application covers everything behind it. Metacity (or
perhaps the app) fills the little strip with the application background color. A
maximized applicating covering every available pixel of space feels better UI wise.

Compiz SHOULD allow applications that can only be resized in steps (e.g.
gnome-terminal) to cover the entire available screen space (sans panels etc.).

Note You need to log in before you can comment on or make changes to this bug.